Subject: 23.0.94; display
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jun 2009 22:53:14 -0400

Visiting the file foo.msg after emacs -Q in a 37-line Linux terminal
garbles the screen, including the mode line and menu bar.
I last updated the source on May 26.

In GNU Emacs 23.0.94.1 (mipsel-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2009-05-27 on theobromine2
configured using `configure  'CFLAGS=-O0 -g -Wno-pointer-sign' 'mipsel-unknown-linux-gnu' 'build_alias=mipsel-unknown-linux-gnu' 'host_alias=mipsel-unknown-linux-gnu' 'target_alias=mipsel-unknown-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
n l y SPC r e s p p j DEL DEL o n d SPC w i t h SPC 
" m a y b e " . RET I SPC d o n ' t SPC k n o w SPC 
w h e t h e r SPC t h e s e SPC ESC DEL C-a C-k I SPC 
c a n n o t SPC j u d g e SPC DEL , SPC b a s e d SPC 
o n SPC t h e SPC a m o u n t SPC o f SPC l i c ESC 
DEL ESC DEL ESC DEL ESC DEL w h a t SPC y o u SPC h 
a v e SPC s a i d , SPC w h e t h e r SPC I SPC w o 
u d l SPC c o n s i d e r ESC b C-b C-b C-t C-e RET 
t h i s SPC g o o d SPC o r SPC b a . DEL d . SPC SPC 
I SPC c a n ESC / ESC SPC ESC / SPC w h ESC / ESC SPC 
ESC / ESC SPC ESC DEL t h e y SPC w o u l d SPC b e 
SPC ESC b ESC b ESC b ESC d i t C-e a SPC f r e e SPC 
l i c e n s e . RET C-c C-c d x C-l C-x h ESC x w r 
SPC r e RET f o o . m s g RET C-x C-f ESC p RET C-l 
ESC x C-g C-x k RET ESC x r e p o r t SPC e m a c TAB 
RET

Recent messages:
Auto-saving...done
Mark set [2 times]
Auto-saving...done
Sending...
Wrote /home/rms/outgoing/out-56
Sending...done
No following nondeleted message
Expunging deleted messages...done
Mark set [2 times]
Wrote /home/rms/foo.msg
Quit